from sqlalchemy import create_engine
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker


## ENV LOAD
SQLALCHEMY_DATABASE_URL = 'mysql://choozmo:pAssw0rd@db.ptt.cx:3306/dbname?charset=utf8mb4'

engine = create_engine(SQLALCHEMY_DATABASE_URL)
SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)
Base = declarative_base()

# Dependency
def get_db_session():
    db = SessionLocal()
    try:
        yield db
    except:
        db.rollback()
        raise
    finally:
        db.close()

### define database session, deal with database setup and connection